---
title: "Indeed API: Jobs | Perceptlayer"
description: "Jobs from Indeed as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/indeed/jobs
---

[APIs](https://perceptlayer.com/apis) / [Indeed](https://perceptlayer.com/apis/indeed) / Jobs

# Indeed: Jobs

Jobs from Indeed as JSON. 1 credit per successful call.

GET `/v1/indeed/jobs`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 500 characters |
| `location` | string | Optional | Up to 200 characters |
| `country` | string | Optional | Up to 2 characters |
| `radius` | integer | Optional | Any |
| `radius_unit` | string | Optional | MILES, KILOMETERS |
| `job_type` | string | Optional | full\_time, part\_time, contract, internship, remote |
| `sort` | string | Optional | relevance, date |
| `limit` | integer | Optional | Any |
| `cursor` | string | Optional | Any |
| `hl` | string | Optional | Up to 2 characters |
| `gl` | string | Optional | Up to 2 characters |

## Example request

Indeed

GET /v1/indeed/jobs?query=software+engineer&location=Berlin&country=DE&job\_type=full\_time&limit=20 

```
{
  "success": true,
  "data": {
    "jobs": [
      {
        "id": "61ac648a11df5cc6",
        "title": "Product Designer",
        "company": {
          "name": "Telli",
          "profile_url": "/cmp/Telli"
        },
        "location": {
          "city": "Berlin",
          "state": "BE",
          "country": "DE",
          "country_name": "Deutschland",
          "formatted": "Berlin",
          "latitude": 52.52437,
          "longitude": 13.41053,
          "is_remote": false
        },
        "description_html": "<div><h1 class=\"jobSectionHeader\"><b>about us</b></h1><p><br>\nEvery 10 minutes, 18 million conversations happen between businesses and consumers around the world.</p><p><br>\nFor decades, the consumer side of those conversations sucked: long…",
        "attributes": [
          "Full-time",
          "UI design",
          "Interaction design"
        ],
        "date_published": "2025-07-21 05:00:00",
        "apply_url": "https://jobs.ashbyhq.com/telli/156032e9-0e1d-4f7f-9ac7-c828ba49964d?utm_source=l6jqqRwnQ5"
      },
      {
        "id": "805a70464f904dce",
        "title": "Senior Product Manager (Enterprise)",
        "company": {
          "name": "n8n",
          "profile_url": "/cmp/N8n"
        },
        "location": {
          "city": "Berlin",
          "state": "BE",
          "country": "DE",
          "country_name": "Deutschland",
          "formatted": "Berlin",
          "latitude": 52.52437,
          "longitude": 13.41053,
          "is_remote": true
        },
        "description_html": "<div><p><b>The AI orchestration of your wildest imagination.</b></p><p>\nn8n is the open workflow orchestration platform built for the new era of AI. We give technical teams the freedom of code with the speed of no-code, so they can automate…",
        "attributes": [
          "Collaboration with Sales",
          "Go",
          "Workflow management (operations management method)"
        ],
        "date_published": "2026-08-12 05:00:00",
        "apply_url": "https://jobs.ashbyhq.com/n8n/bcf96878-d41a-479d-b506-7753356077c4?utm_source=3ZqYBLJ41R"
      },
      {
        "id": "376792723f8ff7fe",
        "title": "Senior Product Manager",
        "company": {
          "name": "Pennylane SAS",
          "profile_url": "/cmp/Pennylane-SAS"
        },
        "location": {
          "city": "Berlin",
          "state": "BE",
          "country": "DE",
          "country_name": "Deutschland",
          "formatted": "Berlin",
          "latitude": 52.52437,
          "longitude": 13.41053,
          "is_remote": true
        },
        "description_html": "<p></p><div><p>Are you looking to have an impact on the daily life of millions of entrepreneurs in France (and tomorrow in Europe)?</p><p>\nAre you looking for a work environment that values trust, proactivity, and autonomy?</p><p>\nAre our P…",
        "attributes": [
          "Full-time",
          "Process improvement",
          "Remote"
        ],
        "date_published": "2026-03-12 05:00:00",
        "apply_url": "https://jobs.ashbyhq.com/pennylane/a4555925-195a-4a59-9367-fcaf27f2113d?utm_source=e8ZnqRKNPX"
      }
    ],
    "pagination": {
      "next_cursor": "ABQAAYEAFAAAAAAAAAAAAAAAAmYRNdcAMgEBAQcpfSGrk7wi9QBuLZ6BEihQwmDA0xA2nDAGrqtuJIdLnPZKyLE0IcnT2+IETfyRAAA=",
      "has_more": true
    },
    "metadata": {
      "total_results": 20,
      "timestamp": "2026-10-21T13:25:37.233649Z"
    }
  }
}
```

200 OK JSON X-Credits-Used: 1

Recorded from our API and shortened.

[Run this endpoint in the playground](https://perceptlayer.com/apis/indeed?try=jobs#playground) with your own parameters. 1 credit per successful call; failed calls are free.
